VULKAN_HPP_NAMESPACE::FlagTraits< ExternalMemoryHandleTypeFlagBitsNV > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(ExternalMemoryHandleTypeFlagBitsNV::eOpaqueWin32) | VkFlags(ExternalMemoryHandleTypeFlagBitsNV::eOpaqueWin32Kmt) | VkFlags(ExternalMemoryHandleTypeFlagBitsNV::eD3D11Image) | VkFlags(ExternalMemoryHandleTypeFlagBitsNV::eD3D11ImageKmt) }

## Detailed Description

Definition at line 30110 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 30112 of file vulkan.hpp.

{
allFlags = VkFlags(ExternalMemoryHandleTypeFlagBitsNV::eOpaqueWin32) | VkFlags(ExternalMemoryHandleTypeFlagBitsNV::eOpaqueWin32Kmt) | VkFlags(ExternalMemoryHandleTypeFlagBitsNV::eD3D11Image) | VkFlags(ExternalMemoryHandleTypeFlagBitsNV::eD3D11ImageKmt)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ExternalMemoryHandleTypeFlagBitsNV::eOpaqueWin32
@ eOpaqueWin32
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::ExternalMemoryHandleTypeFlagBitsNV::eOpaqueWin32Kmt
@ eOpaqueWin32Kmt
VULKAN_HPP_NAMESPACE::ExternalMemoryHandleTypeFlagBitsNV::eD3D11Image
@ eD3D11Image
VULKAN_HPP_NAMESPACE::ExternalMemoryHandleTypeFlagBitsNV::eD3D11ImageKmt
@ eD3D11ImageKmt
VULKAN_HPP_NAMESPACE::FlagTraits< ExternalMemoryHandleTypeFlagBitsNV >::allFlags
@ allFlags
Definition: vulkan.hpp:30114